org.apache.ignite.internal

## Class IgniteClientDisconnectedCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.IgniteClientDisconnectedCheckedException

All Implemented Interfaces:
  Serializable

    public class IgniteClientDisconnectedCheckedException
    extends IgniteCheckedException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteClientDisconnectedCheckedException(IgniteFuture<?> reconnectFut, String msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteFuture<?>` `reconnectFuture()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteClientDisconnectedCheckedException

    public IgniteClientDisconnectedCheckedException(IgniteFuture<?> reconnectFut,
                                                    String msg)

Parameters:
  `reconnectFut` - Reconnect future.
  `msg` - Message.

### Method Detail

#### reconnectFuture

    public IgniteFuture<?> reconnectFuture()

Returns:
  Reconnect future.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020